body {
  background-color: #E5E5E5;
  font-family: 'Montserrat';

}
.right-section {
  padding-left: 50px;
  background-color: #FFF;
  padding-right: 90px;
  max-width: 800px;
  min-width: 250px;
}

.main-section {
  display: flex ;
    flex-direction: row-reverse;
    min-width: 350px;
    max-width: 1000px;
    margin: 0 auto;
}

/* Right section styles*/

.about-me-section {
  background-image: url("polygon-scatter-haikei.png");
}


.about-me-profession {
  font-size: 14px;
  color: black;
  font-style: normal;
  font-weight: 700;
  line-height: 17px;
  margin-top: 100px;
  
}


.profession {
  color: #595959;
  margin-top: 10px;
}
 
.about-me-section p {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 19px; 
}


#personName {
  font-size: 45px;
  color: black;
  font-style: normal;
  font-weight: 700;
  line-height: 55px;
  margin-top: 30px;
  margin-bottom: 0;
}

.icon {
  color: white;
  font-size: 20px;;
}

.personal-info {
  display: grid;
  grid-template-columns: 1fr 1fr;
  border: 1px solid rgb(117, 4, 88);
  border-radius: 10px;
  background-color: rgb(82, 7, 48);
  color: white;
  width: 80%;
  padding: 15px;
}

.personal-info a {
  text-decoration: none;
  color: white;
  cursor: pointer;
  
}

.personal-info p {
  margin: 0;
  padding: 10px;
  
}

.email, .phone, .location, .linkedin, .github {
  display: flex;
  flex-direction: row;
  justify-content:stretch;
  align-items: center;
  line-height: 15px;
  margin: 0;
  height: 35px;
  font-size: 25px;
  width: 100%;
  
}

/*Education section*/
.education-title {
  display: flex;
  justify-content: left;
  align-items: center;
  margin-top: 20px;
}
.section-icon {
  
  margin-right: 10px;
  font-size: 25px;
  border-style: solid;
  border-radius: 20px;
  padding: 5px;
  margin-right: 10px; 
  color: white;
  background-color: rgb(82, 7, 48);
}

.block-title {
  font-size: 25px;
}

.education-content,
.work-content {
  padding-left: 25px;
}
.university {
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 20px;
  margin-top: 10px;
  margin-bottom: 0;
}

.specialisation {
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 10px;
  color: #000000;
  margin-top: 10px;
  margin-bottom: 0;
  color: rgb(82, 7, 48);
}

.modules {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: left;
  margin-top: 0px;
  line-height: 25px;
  
}

.modules ul {
  padding-left: 15px;
}


.work-experience-section {
  margin-top: 20px;
  margin-bottom: 20px;
}

.work-experience-position {
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 20px;
  color: #000000;
}


.work-experience-period {
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  line-height: 15px;
  color: #A8A8A8;
  margin-top: 10px;
  margin-bottom: 0;
}
.line-break {
  color: black;
}

.work-experience-duties li {
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 24px;
}

.work-experience-duties {
  padding-left: 18px;
  
}


/* Sidebar styles */
.sidebar-section {
  background-color: rgb(82, 7, 48);
  padding-left: 20px;
  padding-right: 20px;
  color: white;
  border-right: 5px solid rgb(215, 209, 209);
  max-width: 350px;
  min-width: 100px;
}


.image {
  display: block;
  margin: 40px auto;
  width: 150px; 
  height: 150px;
  border-radius: 100px;
  border: 5px solid rgb(215, 209, 209);
  object-fit: cover;
}

.skills-section {
  margin-top: 35px;
}
.aside-section {
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: center;
  font-weight: 700;
  font-size: 18px;
}


.aside-icon {
  font-size: 25px;
  border-style: solid;
  border-radius: 20px;
  padding: 5px;
  margin-right: 10px; 
  color:rgb(82, 7, 48);
  background-color: white;
}

.aside-section-content {
  align-items: center;
  justify-content: center;
  padding: 0;
  margin-top: 0;
  line-height: 25px;
}


.li-content {
  margin-top: 0;
}

.lang-level {
  font-size: 13px;
  color:#d2cdcd;
  margin-top: 0;
}

@media (min-width: 350px) and (max-width: 750px) {
  body {
    margin: 0;
  }
  .right-section {
    padding-left: 10px;
    padding-right: 10px;

  }
  
  /* Right section styles*/
  #personName {
    font-size: 25px;
    line-height: 20px;
    margin-top: 60px;
    text-align: center;
  }
  
  .profession {
    font-size: 15px;
    margin-top: 20px; 
    text-align: center;
  }
  
  .about-me-section p {
    font-size: 13px;
    text-align: justify;
  }
  
  .icon {
    font-size: 15px;
    margin-right: 3px;
  }
  
  .personal-info {
    padding: 0 5px;;
    text-align: center;
    width: 95%;
    margin: 0 auto;
    
  }

  .personal-info p {
    margin: 0;
    font-size: 11px;

  }
  
  /*Education section*/
  .education-title {
    margin-top: 20px;
  }
  .section-icon {
    margin-right: 5px;
  }
  
  .block-title {
    font-size: 18px;
  }
  
  .modules ul li {
    font-size: 13px;
  }
  ul:last-child {
    margin-left: 25px;
  }
  .education-content,
  .work-content {
    padding-left: 10px;
    font-size: 13px;
  }
  .university {
    font-size: 15px;
  }
  
  .specialisation {
  font-size: 15px;
  line-height: 20px;
}
  
  .work-experience-duties li {
    font-size: 13px;
}
  
  
  
  /* Sidebar styles */

  .image {
    width: 80px; 
    height: 80px;
    display: block;
  }
  
  .aside-section {
    font-size: 10px;
  }

  .aside-section-content li {
    font-size: 10px;
  }
  
  .aside-icon {
    font-size: 9px;
    margin-right: 2px;
  }

  .sidebar-section {
    padding: 0 10px;
  }
  
  .sidebar-section ul {
    padding-left: 20px;
  }

  .lang-level {
    font-size: 9px;
  }
}

@media (min-width: 751px) and (max-width: 950px) {
  .personal-info {
    width: 95%;
  }
  .image {
    width: 100px; 
    height: 100px;
    display: block;
  }

  .aside-section {
    font-size: 13px;
  }

  .aside-section-content li {
    font-size: 12px;
  }

  .aside-icon {
    font-size: 8px;
    margin-right: 2px;
  }

  .lang-level {
    font-size: 10px;
  }
}